curl --request GET \
--url https://api.example.com/v1/pipelines{
"data": {
"pipelines": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"stages": [
{
"id": "<string>",
"name": "<string>",
"stage_type": "<string>",
"sort_order": 123,
"probability": 123
}
]
}
]
}
}Retrieve all deal pipelines with their stages
curl --request GET \
--url https://api.example.com/v1/pipelines{
"data": {
"pipelines": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>",
"stages": [
{
"id": "<string>",
"name": "<string>",
"stage_type": "<string>",
"sort_order": 123,
"probability": 123
}
]
}
]
}
}Authorization: Bearer wbk_your_api_key_here
curl https://data.leadlex.com/functions/v1/api-gateway/v1/pipelines \
-H "Authorization: Bearer wbk_your_api_key_here"
{
"data": {
"pipelines": [
{
"id": "pipe-001",
"name": "Sales Pipeline",
"color": "#4CAF50",
"stages": [
{ "id": "stage-001", "name": "Lead", "stage_type": "open", "sort_order": 1, "probability": 10 },
{ "id": "stage-002", "name": "Proposal", "stage_type": "open", "sort_order": 2, "probability": 40 },
{ "id": "stage-003", "name": "Won", "stage_type": "won", "sort_order": 3, "probability": 100 }
]
}
]
}
}
| Status | Code | Description |
|---|---|---|
| 403 | insufficient_permissions | Missing deals:read permission |